SHUF(1)

NOMBRE
shuf - crea permutaciones aleatorias

SINOPSIS
shuf [OPCIÓN]... [ARCHIVO]
shuf -e [OPCIÓN]... [ARG]...
shuf -i ALTO-BAJO [OPCIÓN]...

DESCRIPCIÓN

Escribe por la salida estándar una permutación aleatoria de la línea de entrada.

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-e, --echo
    considera cada ARG como una línea de entrada

-i, --input-range=BAJO-ALTO
    considera cada número entre BAJO y ALTO como una línea de entrada

-n, --head-count=TOTAL
    muestra un máximo de TOTAL líneas

-o, --output=ARCHIVO
    envía el resultado a ARCHIVO en lugar de hacerlo por la salida estándar

--random-source=ARCHIVO
    extrae bytes aleatoriamente de ARCHIVO

-r, --repeat
    pueden repetirse las líneas mostradas

-z, --zero-terminated
    las líneas se delimitan con NUL en lugar de nueva línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

AUTOR
Escrito por Paul Eggert.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/shuf>
también disponible localmente ejecutando: info '(coreutils) shuf invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.